summaryrefslogtreecommitdiffstats
path: root/abuild
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-01-26 10:30:25 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-01-26 10:30:25 +0000
commitcd65e27f8ce47bdfff09cfdb8156a251f0c7cafb (patch)
tree9f2ca2fde45d85822e93c67f19a1cb93a972be9f /abuild
parentcf3b0ebb4c429b36b82442ce193233e9478b0b86 (diff)
downloadabuild-cd65e27f8ce47bdfff09cfdb8156a251f0c7cafb.tar.bz2
abuild-cd65e27f8ce47bdfff09cfdb8156a251f0c7cafb.tar.xz
abuild: make color work again
by sourcing the functions.sh after abuild.conf
Diffstat (limited to 'abuild')
-rwxr-xr-xabuild27
1 files changed, 13 insertions, 14 deletions
diff --git a/abuild b/abuild
index 36223f8..22803ee 100755
--- a/abuild
+++ b/abuild
@@ -10,20 +10,6 @@
abuild_ver=1.5
-# source functions
-# if abuild was not run from PATH, then look for func lib at same location
-if [ -z "$FUNCLIB" ]; then
- FUNCLIB="${0##/*}/functions.sh"
- [ -f "$FUNCLIB" ] || FUNCLIB=/usr/share/abuild/functions.sh
-fi
-
-if ! [ -f "$FUNCLIB" ]; then
- echo "$FUNCLIB: not found" >&2
- exit 1
-fi
-. "$FUNCLIB"
-
-
startdir="$PWD"
srcdir=${srcdir:-"$startdir/src"}
pkgdir=${pkgdir:-"$startdir/pkg"}
@@ -47,6 +33,19 @@ if [ -n "$REPODEST" ]; then
PKGDEST="$REPODEST/$repo"
fi
+# source functions
+# if abuild was not run from PATH, then look for func lib at same location
+if [ -z "$FUNCLIB" ]; then
+ FUNCLIB="${0##/*}/functions.sh"
+ [ -f "$FUNCLIB" ] || FUNCLIB=/usr/share/abuild/functions.sh
+fi
+
+if ! [ -f "$FUNCLIB" ]; then
+ echo "$FUNCLIB: not found" >&2
+ exit 1
+fi
+. "$FUNCLIB"
+
set_xterm_title() {
if [ "$TERM" = xterm ]; then
printf "\033]0;$1\007" >&2